# vendor string (e.g., Fedora, EL)
%global vvendor Rutgers

# Where dhcp configuration files are stored
%global dhcpconfdir %{_sysconfdir}/dhcp

# Base version number from ISC
%global basever 4.1.1

# LDAP patch version
%global ldappatchver %{basever}-2

Summary:  Dynamic host configuration protocol software
Name:     dhcp-ldapresnet
Version:  %{basever}
Release:  1%{?dist}
# NEVER CHANGE THE EPOCH on this package.  The previous maintainer (prior to
# dcantrell maintaining the package) made incorrect use of the epoch and
# that's why it is at 12 now.  It should have never been used, but it was.
# So we are stuck with it.
Epoch:    12
License:  ISC
Group:    System Environment/Daemons
URL:      http://isc.org/products/DHCP/
Source0:  ftp://ftp.isc.org/isc/%{name}/dhcp-%{version}.tar.gz
Source1:  http://cloud.github.com/downloads/dcantrell/ldap-for-dhcp/ldap-for-dhcp-%{ldappatchver}.tar.gz
Source2:  dhcpd.init
Source3:  dhcrelay.init
Source4:  dhclient-script
Source5:  README.dhclient.d
Source6:  10-dhclient
Source7:  56dhclient
Source8:  dhcpd6.init

Patch0:   dhcp-4.1.1-errwarn-message.patch
Patch1:   dhcp-4.1.1-options.patch
Patch2:   dhcp-4.1.1-release-by-ifup.patch
Patch3:   dhcp-4.1.1-dhclient-decline-backoff.patch
Patch4:   dhcp-4.1.1-unicast-bootp.patch
Patch5:   dhcp-4.1.1-failover-ports.patch
Patch6:   dhcp-4.1.1-dhclient-usage.patch
Patch7:   dhcp-4.1.1-default-requested-options.patch
Patch8:   dhcp-4.1.1-xen-checksum.patch
Patch9:   dhcp-4.1.1-dhclient-anycast.patch
Patch10:  dhcp-4.1.1-manpages.patch
Patch11:  dhcp-4.1.1-paths.patch
# OSS: O_CLOEXEC not available on CentOS 5
#Patch12:  dhcp-4.1.1-CLOEXEC.patch
Patch13:  dhcp-4.1.1-inherit-leases.patch
Patch14:  dhcp-4.1.1-garbage-chars.patch
Patch15:  dhcp-4.1.1-invalid-dhclient-conf.patch
# OSS: This patch needs to be modified due to removal of CLOEXEC patch
Patch16:  dhcp-4.1.1-missing-ipv6-not-fatal.patch2
Patch17:  dhcp-4.1.1-IFNAMSIZ.patch
Patch18:  dhcp-4.1.1-add_timeout_when_NULL.patch
Patch19:  dhcp-4.1.1-64_bit_lease_parse.patch
Patch20:  dhcp-4.1.1-capability.patch
Patch21:  dhcp-4.1.1-logpid.patch
Patch22:  dhcp-4.1.1-UseMulticast.patch
Patch23:  dhcp-4.1.1-sendDecline.patch
Patch24:  dhcp-4.1.1-retransmission.patch
Patch25:  dhcp-4.1.1-release6-elapsed.patch
Patch26:  dhcp-4.1.1-initialization-delay.patch

# Resnet patch
Patch201: dhcp-4.1.1-resnet.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: groff
BuildRequires: libtool
BuildRequires: openldap-devel
BuildRequires: libcap-ng-devel

Requires(post): chkconfig
Requires(post): coreutils
Requires(preun): chkconfig
Requires(preun): initscripts
Requires(postun): initscripts
Obsoletes: dhcpv6 <= 1.2.0-4

%description
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server. The overall purpose of DHCP is to make it
easier to administer a large network.  The dhcp package includes the
ISC DHCP service and relay agent.

To use DHCP on your network, install a DHCP service (or relay agent),
and on clients run a DHCP client daemon.  The dhcp package provides
the ISC DHCP service and relay agent.

%package -n dhclient-ldapresnet
Summary: Provides the dhclient ISC DHCP client daemon and dhclient-script
Group: System Environment/Base
Requires: initscripts >= 6.75
Requires(post): coreutils
Requires(post): grep
Obsoletes: dhcpcd <= 1.3.22pl1-7
Obsoletes: libdhcp4client-ldapresnet <= 12:4.0.0-34.fc10
Obsoletes: libdhcp <= 1.99.8-1.fc10
Obsoletes: dhcpv6-client <= 1.2.0-4
Provides: dhcpcd = 1.3.22pl1-8

%description -n dhclient-ldapresnet
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server. The overall purpose of DHCP is to make it
easier to administer a large network.

To use DHCP on your network, install a DHCP service (or relay agent),
and on clients run a DHCP client daemon.  The dhclient package
provides the ISC DHCP client daemon.

%package devel
Summary: Development headers and libraries for interfacing to the DHCP server
Group: Development/Libraries
Obsoletes: libdhcp4client-ldapresnet-devel < 4.1.0
Obsoletes: libdhcp-devel <= 1.99.8-1
Requires: %{name} = %{epoch}:%{version}-%{release}

%description devel
Header files and API documentation for using the ISC DHCP libraries.  The
libdhcpctl and libomapi static libraries are also included in this package.

%prep
%setup -q -n dhcp-%{version}
%setup -T -D -a 1 -n dhcp-%{version}

# Add in LDAP support
%{__patch} -p1 < ldap-for-dhcp-%{ldappatchver}/dhcp-%{basever}-ldap.patch

# Replace the standard ISC warning message about requesting help with an
# explanation that this is a patched build of ISC DHCP and bugs should be
# reported through bugzilla.redhat.com
%patch0 -p1 -b .errwarn

# Add more dhclient options (-I, -B, -H, -F, -timeout, -V, and -R)
%patch1 -p1 -b .options

# Handle releasing interfaces requested by /sbin/ifup
# pid file is assumed to be /var/run/dhclient-$interface.pid
%patch2 -p1 -b .ifup

# If we receive a DHCP offer in dhclient and it's DECLINEd in dhclient-script,
# backoff for an amount of time before trying again
%patch3 -p1 -b .backoff

# Support unicast BOOTP for IBM pSeries systems (and maybe others)
# (Submitted to dhcp-bugs@isc.org - [ISC-Bugs #19146])
%patch4 -p1 -b .unicast

# Use the following IANA-registered failover ports:
# dhcp-failover 647/tcp
# dhcp-failover 647/udp
# dhcp-failover 847/tcp
# dhcp-failover 847/udp
%patch5 -p1 -b .failover-ports

# Update the usage screen for dhclient(8) indicating new options
# Use printf() rather than log_info() to display the information
# Also, return EXIT_FAILURE when the usage() screen is displayed (stop parsing)
%patch6 -p1 -b .usage

# Add NIS domain, NIS servers, NTP servers, interface-mtu and domain-search
# to the list of default requested DHCP options
%patch7 -p1 -b .requested

# Handle Xen partial UDP checksums
%patch8 -p1 -b .xen

# Add anycast support to dhclient (for OLPC)
%patch9 -p1 -b .anycast

# Patch man page contents
%patch10 -p1 -b .man

# Change paths to conform to our standards
%patch11 -p1 -b .paths

# Make sure all open file descriptors are closed-on-exec for SELinux (#446632)
# (Submitted to dhcp-bugs@isc.org - [ISC-Bugs #19148])
# OSS: O_CLOEXEC not available on CentOS 5
# patch12 -p1 -b .cloexec

# If we have an active lease, do not down the interface (#453982)
%patch13 -p1 -b .inherit

# Fix 'garbage in format string' error (#450042)
%patch14 -p1 -b .garbage

# The sample dhclient.conf should say 'supersede domain-search' (#467955)
# (Submitted to dhcp-bugs@isc.org - [ISC-Bugs #19147])
%patch15 -p1 -b .supersede

# If the ipv6 kernel module is missing, do not segfault
# (Submitted to dhcp-bugs@isc.org - [ISC-Bugs #19367])
%patch16 -p1 -b .noipv6

# Read only up to IFNAMSIZ characters for the interface name in dhcpd (#441524)
%patch17 -p1 -b .ifnamsiz

# Handle cases in add_timeout() where the function is called with a NULL
# value for the 'when' parameter
# (Submitted to dhcp-bugs@isc.org - [ISC-Bugs #19867])
%patch18 -p1 -b .dracut

# Ensure 64-bit platforms parse lease file dates & times correctly (#448615)
%patch19 -p1 -b .64-bit_lease_parse

# Drop unnecessary capabilities in dhclient (#517649, #546765)
%patch20 -p1 -b .capability

# dhclient logs its pid to make troubleshooting NM managed systems
# with multiple dhclients running easier (#546792)
%patch21 -p1 -b .logpid

# Discard unicast Request/Renew/Release/Decline message
# (unless we set unicast option) and respond with Reply
# with UseMulticast Status Code option (#573090)
# (Submitted to dhcp-bugs@isc.org - [ISC-Bugs #21235])
%patch22 -p1 -b .UseMulticast

# If any of the bound addresses are found to be in use on the link,
# the dhcpv6 client sends a Decline message to the server
# as described in section 18.1.7 of RFC-3315 (#559147)
# (Submitted to dhcp-bugs@isc.org - [ISC-Bugs #21237])
%patch23 -p1 -b .sendDecline

# In client initiated message exchanges stop retransmission
# upon reaching the MRD rather than at some point after it (#559153)
# (Submitted to dhcp-bugs@isc.org - [ISC-Bugs #21238])
%patch24 -p1 -b .retransmission

# Fill in Elapsed Time Option in Release message (#582939)
# (Submitted to dhcp-bugs@isc.org - [ISC-Bugs #21171])
%patch25 -p1 -b .release6-elapsed

# Cut down the 0-4 second delay before sending first DHCPDISCOVER (#587070)
%patch26 -p1 -b .initialization-delay

# Apply resnet patch
%patch201 -p1

# Copy in documentation and example scripts for LDAP patch to dhcpd
%{__install} -p -m 0755 ldap-for-dhcp-%{ldappatchver}/dhcpd-conf-to-ldap contrib/

# Copy in the Fedora/RHEL dhclient script
%{__install} -p -m 0755 %{SOURCE4} client/scripts/linux
%{__install} -p -m 0644 %{SOURCE5} .

# Ensure we don't pick up Perl as a dependency from the scripts and modules
# in the contrib directory (we copy this to /usr/share/doc in the final
# package).
%{__cp} -pR contrib __fedora_contrib
pushd __fedora_contrib
%{__chmod} -x 3.0b1-lease-convert dhclient-tz-exithook.sh dhcpd-conf-to-ldap
%{__chmod} -x sethostname.sh solaris.init
%{__mv} ms2isc/Registry.pm ms2isc/Registry.perlmodule
%{__rm} -f dhcp.spec

# We want UNIX-style line endings
%{__sed} -i -e 's/\r//' ms2isc/readme.txt
%{__sed} -i -e 's/\r//' ms2isc/Registry.perlmodule
%{__sed} -i -e 's/\r//' ms2isc/ms2isc.pl
popd

# Filter false positive perl requires (all of them)
%{__cat} << EOF > %{name}-req
#!/bin/sh
%{__perl_requires} \
| %{__grep} -v 'perl('
EOF
%global __perl_requires %{_builddir}/dhcp-%{version}/%{name}-req
%{__chmod} +x %{__perl_requires}

# Replace @PRODUCTNAME@
%{__sed} -i -e 's|@PRODUCTNAME@|%{vvendor}|g' common/dhcp-options.5
%{__sed} -i -e 's|@PRODUCTNAME@|%{vvendor}|g' configure.ac

# Update paths in all man pages
for page in client/dhclient.conf.5 client/dhclient.leases.5 \
            client/dhclient-script.8 client/dhclient.8 ; do
    %{__sed} -i -e 's|CLIENTBINDIR|/sbin|g' \
                -e 's|RUNDIR|%{_localstatedir}/run|g' \
                -e 's|DBDIR|%{_localstatedir}/lib/dhclient|g' \
                -e 's|ETCDIR|%{dhcpconfdir}|g' $page
done

for page in server/dhcpd.conf.5 server/dhcpd.leases.5 server/dhcpd.8 ; do
    %{__sed} -i -e 's|CLIENTBINDIR|/sbin|g' \
                -e 's|RUNDIR|%{_localstatedir}/run|g' \
                -e 's|DBDIR|%{_localstatedir}/lib/dhcpd|g' \
                -e 's|ETCDIR|%{dhcpconfdir}|g' $page
done

aclocal
libtoolize --copy --force
autoconf
autoheader
automake --foreign --add-missing --copy

%build
CFLAGS="%{optflags} -fPIC -D_GNU_SOURCE -DDEBUG_LDAP -DRESNET" \
%configure \
    --enable-dhcpv6 \
    --with-srv-lease-file=%{_localstatedir}/lib/dhcpd/dhcpd.leases \
    --with-srv6-lease-file=%{_localstatedir}/lib/dhcpd/dhcpd6.leases \
    --with-cli-lease-file=%{_localstatedir}/lib/dhclient/dhclient.leases \
    --with-cli6-lease-file=%{_localstatedir}/lib/dhclient/dhclient6.leases \
    --with-srv-pid-file=%{_localstatedir}/run/dhcpd.pid \
    --with-srv6-pid-file=%{_localstatedir}/run/dhcpd6.pid \
    --with-cli-pid-file=%{_localstatedir}/run/dhclient.pid \
    --with-cli6-pid-file=%{_localstatedir}/run/dhclient6.pid \
    --with-relay-pid-file=%{_localstatedir}/run/dhcrelay.pid \
    --with-ldap \
    --with-ldapcrypto
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

# Remove files we don't want
%{__rm} -f %{buildroot}%{_sysconfdir}/dhclient.conf
%{__rm} -f %{buildroot}%{_sysconfdir}/dhcpd.conf

# Install correct dhclient-script
%{__mkdir} -p %{buildroot}/sbin
%{__mv} %{buildroot}%{_sbindir}/dhclient %{buildroot}/sbin/dhclient
%{__install} -p -m 0755 client/scripts/linux %{buildroot}/sbin/dhclient-script

# Install init scripts
%{__mkdir} -p %{buildroot}%{_initrddir}
%{__install} -p -m 0755 %{SOURCE2} %{buildroot}%{_initrddir}/dhcpd
%{__install} -p -m 0755 %{SOURCE8} %{buildroot}%{_initrddir}/dhcpd6
%{__install} -p -m 0755 %{SOURCE3} %{buildroot}%{_initrddir}/dhcrelay

# Start empty lease databases
%{__mkdir} -p %{buildroot}%{_localstatedir}/lib/dhcpd/
touch %{buildroot}%{_localstatedir}/lib/dhcpd/dhcpd.leases
touch %{buildroot}%{_localstatedir}/lib/dhcpd/dhcpd6.leases
%{__mkdir} -p %{buildroot}%{_localstatedir}/lib/dhclient/

# Create default sysconfig files for dhcpd and dhcrelay
%{__mkdir} -p %{buildroot}%{_sysconfdir}/sysconfig

%{__cat} << EOF > %{buildroot}%{_sysconfdir}/sysconfig/dhcrelay
# Command line options here
INTERFACES=""
DHCPSERVERS=""
EOF

%{__cat} <<EOF > %{buildroot}%{_sysconfdir}/sysconfig/dhcpd
# Command line options here
DHCPDARGS=
EOF

%{__cat} <<EOF > %{buildroot}%{_sysconfdir}/sysconfig/dhcpd6
# Command line options here
DHCPDARGS=
EOF

# Copy sample conf files into position (called by doc macro)
%{__cp} -p client/dhclient.conf dhclient.conf.sample
%{__cp} -p server/dhcpd.conf dhcpd.conf.sample
%{__cp} -p doc/examples/dhclient-dhcpv6.conf dhclient6.conf.sample
%{__cp} -p doc/examples/dhcpd-dhcpv6.conf dhcpd6.conf.sample

# Install default (empty) dhcpd.conf:
%{__mkdir} -p %{buildroot}%{dhcpconfdir}
%{__cat} << EOF > %{buildroot}%{dhcpconfdir}/dhcpd.conf
#
# DHCP Server Configuration file.
#   see /usr/share/doc/dhcp*/dhcpd.conf.sample
#   see 'man 5 dhcpd.conf'
#
EOF

# Install default (empty) dhcpd6.conf:
%{__cat} << EOF > %{buildroot}%{dhcpconfdir}/dhcpd6.conf
#
# DHCP for IPv6 Server Configuration file.
#   see /usr/share/doc/dhcp*/dhcpd6.conf.sample
#   see 'man 5 dhcpd.conf'
#   run 'service dhcpd6 start' or 'dhcpd -6 -cf /etc/dhcp/dhcpd6.conf'
#
EOF

# Install dhcp.schema for LDAP configuration
%{__mkdir} -p %{buildroot}%{_sysconfdir}/openldap/schema
%{__install} -p -m 0644 -D ldap-for-dhcp-%{ldappatchver}/dhcp.schema \
    %{buildroot}%{_sysconfdir}/openldap/schema

# Install empty directory for dhclient.d scripts
%{__mkdir} -p %{buildroot}%{dhcpconfdir}/dhclient.d

# Install NetworkManager dispatcher script
%{__mkdir} -p %{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d
%{__install} -p -m 0755 %{SOURCE6} %{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d

# Install pm-utils script to handle suspend/resume and dhclient leases
%{__mkdir} -p %{buildroot}%{_libdir}/pm-utils/sleep.d
%{__install} -p -m 0755 %{SOURCE7} %{buildroot}%{_libdir}/pm-utils/sleep.d

%clean
%{__rm} -rf %{buildroot}

%post
sampleconf="#
# DHCP Server Configuration file.
#   see /usr/share/doc/dhcp*/dhcpd.conf.sample
#   see 'man 5 dhcpd.conf'
#"

contents="$(/bin/cat %{dhcpconfdir}/dhcpd.conf)"
prevconf="%{_sysconfdir}/dhcpd.conf"

if [ ! -z "${prevconf}" ]; then
    if [ ! -f %{dhcpconfdir}/dhcpd.conf -o "${sampleconf}" = "${contents}" ]; then
        /bin/cp -a ${prevconf} %{dhcpconfdir}/dhcpd.conf >/dev/null 2>&1
        /bin/mv ${prevconf} ${prevconf}.rpmsave >/dev/null 2>&1
        if [ -x /sbin/restorecon ]; then
            /sbin/restorecon %{dhcpconfdir}/dhcpd.conf >/dev/null 2>&1
        fi
    fi
fi

/sbin/chkconfig --add dhcpd
/sbin/chkconfig --add dhcpd6
/sbin/chkconfig --add dhcrelay || :

%post -n dhclient-ldapresnet
/bin/ls -1 %{_sysconfdir}/dhclient* >/dev/null 2>&1
if [ $? = 0 ]; then
    /bin/ls -1 %{_sysconfdir}/dhclient* | \
    /bin/grep -v "\.rpmsave$" 2>/dev/null | \
    while read etcfile ; do
        cf="$(/bin/basename ${etcfile})"
        if [ -f ${etcfile} ] && [ ! -r %{dhcpconfdir}/${cf} ]; then
            /bin/cp -a ${etcfile} %{dhcpconfdir}/${cf} >/dev/null 2>&1
            if [ -x /sbin/restorecon ]; then
                /sbin/restorecon %{dhcpconfdir}/${cf} >/dev/null 2>&1
            fi
        fi
    done || :
fi || :

%preun
if [ $1 = 0 ]; then
    /sbin/service dhcpd stop >/dev/null 2>&1
    /sbin/service dhcpd6 stop >/dev/null 2>&1
    /sbin/service dhcrelay stop >/dev/null 2>&1

    /sbin/chkconfig --del dhcpd
    /sbin/chkconfig --del dhcpd6
    /sbin/chkconfig --del dhcrelay || :
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service dhcpd condrestart >/dev/null 2>&1
    /sbin/service dhcpd6 condrestart >/dev/null 2>&1
    /sbin/service dhcrelay condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%doc LICENSE README ldap-for-dhcp-%{ldappatchver}/README.ldap
%doc RELNOTES dhcpd.conf.sample dhcpd6.conf.sample doc/IANA-arp-parameters doc/api+protocol
%doc doc/*.txt __fedora_contrib/* ldap-for-dhcp-%{ldappatchver}/*.txt
%dir %{_localstatedir}/lib/dhcpd
%attr(0750,root,root) %dir %{dhcpconfdir}
%verify(not size md5 mtime) %config(noreplace) %{_localstatedir}/lib/dhcpd/dhcpd.leases
%verify(not size md5 mtime) %config(noreplace) %{_localstatedir}/lib/dhcpd/dhcpd6.leases
%config(noreplace) %{_sysconfdir}/sysconfig/dhcpd
%config(noreplace) %{_sysconfdir}/sysconfig/dhcpd6
%config(noreplace) %{_sysconfdir}/sysconfig/dhcrelay
%config(noreplace) %{dhcpconfdir}/dhcpd.conf
%config(noreplace) %{dhcpconfdir}/dhcpd6.conf
%config(noreplace) %{_sysconfdir}/openldap/schema/dhcp.schema
%{_initrddir}/dhcpd
%{_initrddir}/dhcpd6
%{_initrddir}/dhcrelay
%{_bindir}/omshell
%{_sbindir}/dhcpd
%{_sbindir}/dhcrelay
%attr(0644,root,root) %{_mandir}/man1/omshell.1.gz
%attr(0644,root,root) %{_mandir}/man5/dhcpd.conf.5.gz
%attr(0644,root,root) %{_mandir}/man5/dhcpd.leases.5.gz
%attr(0644,root,root) %{_mandir}/man8/dhcpd.8.gz
%attr(0644,root,root) %{_mandir}/man8/dhcrelay.8.gz
%attr(0644,root,root) %{_mandir}/man5/dhcp-options.5.gz
%attr(0644,root,root) %{_mandir}/man5/dhcp-eval.5.gz

%files -n dhclient-ldapresnet
%defattr(-,root,root,-)
%doc dhclient.conf.sample dhclient6.conf.sample README.dhclient.d
%attr(0750,root,root) %dir %{dhcpconfdir}
%dir %{dhcpconfdir}/dhclient.d
%dir %{_localstatedir}/lib/dhclient
%dir %{_sysconfdir}/NetworkManager
%dir %{_sysconfdir}/NetworkManager/dispatcher.d
%{_sysconfdir}/NetworkManager/dispatcher.d/10-dhclient
/sbin/dhclient
/sbin/dhclient-script
%attr(0755,root,root) %{_libdir}/pm-utils/sleep.d/56dhclient
%attr(0644,root,root) %{_mandir}/man5/dhclient.conf.5.gz
%attr(0644,root,root) %{_mandir}/man5/dhclient.leases.5.gz
%attr(0644,root,root) %{_mandir}/man8/dhclient.8.gz
%attr(0644,root,root) %{_mandir}/man8/dhclient-script.8.gz
%attr(0644,root,root) %{_mandir}/man5/dhcp-options.5.gz
%attr(0644,root,root) %{_mandir}/man5/dhcp-eval.5.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/dhcpctl
%{_includedir}/isc-dhcp
%{_includedir}/omapip
%{_libdir}/libdhcpctl.a
%{_libdir}/libomapi.a
%{_libdir}/libdst.a
%attr(0644,root,root) %{_mandir}/man3/dhcpctl.3.gz
%attr(0644,root,root) %{_mandir}/man3/omapi.3.gz

%changelog
* Tue May 25 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 12:4.1.1-1.ru
- Update to 4.1.1. Specfile rebased on Fedora's dhcp-4.1.1-21.fc13

* Fri Oct 23 2009 Naveen Gavini <ngavini@nbcs.rutgers.edu> - 12:4.1.0-5.ru
- Removed Obsoletes dhclient

* Mon Oct 19 2009 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 12:4.1.0-3.ru
- Replace provides: dhclient with versioned obsoletes/provides

* Mon Oct 19 2009 Naveen Gavini <ngavini@nbcs.rutgers.edu> - 12:4.1.0-1.ru
- Removed p1 from versioning.

* Tue Sep 29 2009 Brian Schubert <schubert@nbcs.rutgers.edu> - 12:4.1.0p1-1.ru
- Updated to version 4.1.0p1
- Created new resnet patch for this version
- Note: Started with new spec file (from Fedora koji)

* Fri Jul 17 2009 Brian Schubert <schubert@nbcs.rutgers.edu> - 12:3.1.2p1-1.ru
- Updated to version 3.1.2p1
- Rename package to dhcp-ldapresnet
- Added ldap and resnet patches (needed to create new resnet patch)
- Added PREDEFINES and LDAPLIB to site.conf
- removed -Werror from COPTS
- Modified Requires/BuildRequires
- Modified options patch to work with 3.1.2
- Removed Fedora ldap patch and ldap patch script
- Removed warnings patch
